TestDynaActionFormClass (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class TestDynaActionFormClass

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.action.TestDynaActionFormClass

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestDynaActionForm

    public class TestDynaActionFormClass

extends junit.framework.TestCase

Suite of unit tests for the `org.apache.struts.action.DynaActionFormClass` class.

Field Summary
`protected FormBeanConfig` | `beanConfig` The `FormBeanConfig` structure for the form bean we will be creating.
`protected DynaActionFormClass` | `dynaClass` The `DynaActionFormClass` to use for testing.
`protected static FormPropertyConfig[]` | `dynaProperties` The set of `FormPropertyConfig` objects to use when creating our `FormBeanConfig`.

Constructor Summary
`TestDynaActionFormClass(String theName)` Defines the testcase name for JUnit.

Method Summary
`static void` | `main(String[] theArgs)` Start the tests.
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testClassCreate()`
`void` | `testConfigAdd()`
`void` | `testConfigCreate()`
`void` | `testConfigDuplicate()`
`void` | `testConfigInitialValues()`
`void` | `testConfigProperties()`
`void` | `testConfigRemove()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dynaProperties

    protected static final FormPropertyConfig[] dynaProperties

  The set of `FormPropertyConfig` objects to use when creating our `FormBeanConfig`.

### beanConfig

    protected FormBeanConfig beanConfig

  The `FormBeanConfig` structure for the form bean we will be creating.

### dynaClass

    protected DynaActionFormClass dynaClass

  The `DynaActionFormClass` to use for testing.

Constructor Detail

### TestDynaActionFormClass

    public TestDynaActionFormClass(String theName)

  Defines the testcase name for JUnit.

  Parameters:
    `theName` - the testcase's name.

Method Detail

### main

    public static void main(String[] theArgs)

  Start the tests.

  Parameters:
    `theArgs` - the arguments. Not used

### suite

    public static junit.framework.Test suite()

  Returns:
    a test suite (`TestSuite`) that includes all methods starting with "test"

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testConfigAdd

    public void testConfigAdd()

### testConfigCreate

    public void testConfigCreate()

### testConfigDuplicate

    public void testConfigDuplicate()

### testConfigInitialValues

    public void testConfigInitialValues()

### testConfigProperties

    public void testConfigProperties()

### testConfigRemove

    public void testConfigRemove()

### testClassCreate

    public void testClassCreate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.